Bug 1469961 - Unable to connect audio device via bluetooth due segfault
Unable to connect audio device via bluetooth due segfault
Status: NEW
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 03:31 EDT by Florian Sievert
Modified: 2017-07-23 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Sievert 2017-07-12 03:31:23 EDT
Description of problem:
When connecting a Soundlink Mini speaker via bluetooth to the Fedora system it is failing without any particular reason. When checking "dmsg", the following line is logged:

[  134.779803] bluetoothd[1341]: segfault at 10 ip 000055aa98c78474 sp 00007ffd1ff95d60 error 4 in bluetoothd[55aa98bfc000+e7000]

Version-Release number of selected component (if applicable):
kf5-bluez-qt-5.34.0-1.fc25.x86_64
bluez-libs-5.44-1.fc25.x86_64
bluez-cups-5.44-1.fc25.x86_64
bluez-5.44-1.fc25.x86_64
bluez-obexd-5.44-1.fc25.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Pair Device with the system
2. Device is detected
3. On connection, it fails

Actual results:
The speaker is not connected to the system

Expected results:
The speaker are connected successfully and can be used to play sound

Additional info:
System log shows the following:
---
Jul 12 09:10:13 phobos.sol systemd[1]: Starting Bluetooth service...
Jul 12 09:10:13 phobos.sol bluetoothd[1341]: Bluetooth daemon 5.44
Jul 12 09:10:13 phobos.sol bluetoothd[1341]: Starting SDP server
Jul 12 09:10:13 phobos.sol systemd[1]: Started Bluetooth service.
Jul 12 09:10:13 phobos.sol bluetoothd[1341]: Bluetooth management interface 1.14 initialized
Jul 12 09:10:33 phobos.sol bluetoothd[1341]: Endpoint registered: sender=:1.66 path=/MediaEndpoint/A2DPSource
Jul 12 09:10:33 phobos.sol bluetoothd[1341]: Endpoint registered: sender=:1.66 path=/MediaEndpoint/A2DPSink
Jul 12 09:12:13 phobos.sol bluetoothd[1341]: No cache for 08:DF:1F:40:97:69
Jul 12 09:12:16 phobos.sol systemd[1]: bluetooth.service: Main process exited, code=dumped, status=11/SEGV
Jul 12 09:12:16 phobos.sol systemd[1]: bluetooth.service: Unit entered failed state.
Jul 12 09:12:16 phobos.sol systemd[1]: bluetooth.service: Failed with result 'core-dump'.
Jul 12 09:12:16 phobos.sol systemd[1]: Starting Bluetooth service...
Jul 12 09:12:16 phobos.sol bluetoothd[2947]: Bluetooth daemon 5.44
Jul 12 09:12:16 phobos.sol systemd[1]: Started Bluetooth service.
Jul 12 09:12:16 phobos.sol bluetoothd[2947]: Starting SDP server
Jul 12 09:12:16 phobos.sol bluetoothd[2947]: Bluetooth management interface 1.14 initialized
Jul 12 09:12:16 phobos.sol bluetoothd[2947]: Endpoint registered: sender=:1.66 path=/MediaEndpoint/A2DPSource
Jul 12 09:12:16 phobos.sol bluetoothd[2947]: Endpoint registered: sender=:1.66 path=/MediaEndpoint/A2DPSink
---

The issue sounds pretty similar to the one described in https://bugzilla.redhat.com/show_bug.cgi?id=1325719
Comment 1 Florian Sievert 2017-07-18 14:01:31 EDT
This issue also occurs with an Anker Core. So this issue might not be related to the hardware, but being an issue with bluetooth audio:
[  102.586624] bluetoothd[1121]: segfault at 10 ip 0000558d07f34c94 sp 00007fffc43a45e0 error 4 in bluetoothd[558d07eb7000+e9000]

Further advise for debugging requested.
Comment 2 Florian Sievert 2017-07-23 12:45:33 EDT
Issue still occurs when using bluez 5.46
---
[101829.316397] traps: bluetoothd[4177] general protection ip:55f829c3ccd4 sp:7fff639d69a0 error:0 in bluetoothd[55f829bbe000+ea000]
[101872.875493] bluetoothd[9079]: segfault at 10 ip 000055b7d4ac9cd4 sp 00007ffedf26ca90 error 4 in bluetoothd[55b7d4a4b000+ea000]
[101890.760151] bluetoothd[9151]: segfault at 10 ip 0000563bada22cd4 sp 00007fff0f395620 error 4 in bluetoothd[563bad9a4000+ea000]
[101897.166359] bluetoothd[9211]: segfault at 10000000179 ip 0000564bfb345283 sp 00007ffe9239db70 error 4 in bluetoothd[564bfb2c8000+ea000]
---
Other bluetooth devices (controller, mobile phone) are running fine. So it seems like just audio devices are affected.

Note You need to log in before you can comment on or make changes to this bug.